# Copyright 2020 Google LLC
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.
- name: xnn_f32_velu_ukernel__neon_rr2_lut16_p3_x4
- name: xnn_f32_velu_ukernel__neon_rr2_lut16_p3_x8
- name: xnn_f32_velu_ukernel__neon_rr2_lut16_p3_x12
- name: xnn_f32_velu_ukernel__neon_rr2_lut16_p3_x16
- name: xnn_f32_velu_ukernel__neon_rr2_lut16_p3_x20
- name: xnn_f32_velu_ukernel__neon_rr2_lut16_p3_x24
- name: xnn_f32_velu_ukernel__neon_rr2_p6_x4
- name: xnn_f32_velu_ukernel__neon_rr2_p6_x8
- name: xnn_f32_velu_ukernel__neon_rr2_p6_x12
- name: xnn_f32_velu_ukernel__neon_rr2_p6_x16
- name: xnn_f32_velu_ukernel__neon_rr2_p6_x20
- name: xnn_f32_velu_ukernel__neon_rr2_p6_x24
- name: xnn_f32_velu_ukernel__neonfma_rr1_lut16_p3_x4
- name: xnn_f32_velu_ukernel__neonfma_rr1_lut16_p3_x8
- name: xnn_f32_velu_ukernel__neonfma_rr1_lut16_p3_x12
- name: xnn_f32_velu_ukernel__neonfma_rr1_lut16_p3_x16
- name: xnn_f32_velu_ukernel__neonfma_rr1_lut16_p3_x20
- name: xnn_f32_velu_ukernel__neonfma_rr1_lut16_p3_x24
- name: xnn_f32_velu_ukernel__neonfma_rr1_p6_x4
- name: xnn_f32_velu_ukernel__neonfma_rr1_p6_x8
- name: xnn_f32_velu_ukernel__neonfma_rr1_p6_x12
- name: xnn_f32_velu_ukernel__neonfma_rr1_p6_x16
- name: xnn_f32_velu_ukernel__neonfma_rr1_p6_x20
- name: xnn_f32_velu_ukernel__neonfma_rr1_p6_x24
- name: xnn_f32_velu_ukernel__sse2_rr2_lut16_p3_x4
- name: xnn_f32_velu_ukernel__sse2_rr2_lut16_p3_x8
- name: xnn_f32_velu_ukernel__sse2_rr2_lut16_p3_x12
- name: xnn_f32_velu_ukernel__sse2_rr2_lut16_p3_x16
- name: xnn_f32_velu_ukernel__sse2_rr2_lut16_p3_x20
- name: xnn_f32_velu_ukernel__sse2_rr2_lut16_p3_x24
- name: xnn_f32_velu_ukernel__sse2_rr2_p6_x4
- name: xnn_f32_velu_ukernel__sse2_rr2_p6_x8
- name: xnn_f32_velu_ukernel__sse2_rr2_p6_x12
- name: xnn_f32_velu_ukernel__sse2_rr2_p6_x16
- name: xnn_f32_velu_ukernel__sse2_rr2_p6_x20
- name: xnn_f32_velu_ukernel__sse2_rr2_p6_x24
- name: xnn_f32_velu_ukernel__sse41_rr2_lut16_p3_x4
- name: xnn_f32_velu_ukernel__sse41_rr2_lut16_p3_x8
- name: xnn_f32_velu_ukernel__sse41_rr2_lut16_p3_x12
- name: xnn_f32_velu_ukernel__sse41_rr2_lut16_p3_x16
- name: xnn_f32_velu_ukernel__sse41_rr2_lut16_p3_x20
- name: xnn_f32_velu_ukernel__sse41_rr2_lut16_p3_x24
- name: xnn_f32_velu_ukernel__sse41_rr2_p6_x4
- name: xnn_f32_velu_ukernel__sse41_rr2_p6_x8
- name: xnn_f32_velu_ukernel__sse41_rr2_p6_x12
- name: xnn_f32_velu_ukernel__sse41_rr2_p6_x16
- name: xnn_f32_velu_ukernel__sse41_rr2_p6_x20
- name: xnn_f32_velu_ukernel__sse41_rr2_p6_x24
- name: xnn_f32_velu_ukernel__avx_rr2_lut4_p4_perm_x8
- name: xnn_f32_velu_ukernel__avx_rr2_lut4_p4_perm_x16
- name: xnn_f32_velu_ukernel__avx_rr2_lut4_p4_perm_x24
- name: xnn_f32_velu_ukernel__avx_rr2_lut4_p4_perm_x32
- name: xnn_f32_velu_ukernel__avx_rr2_lut4_p4_perm_x40
- name: xnn_f32_velu_ukernel__avx_rr2_lut4_p4_perm_x48
- name: xnn_f32_velu_ukernel__avx_rr2_lut16_p3_x8
- name: xnn_f32_velu_ukernel__avx_rr2_lut16_p3_x16
- name: xnn_f32_velu_ukernel__avx_rr2_lut16_p3_x24
- name: xnn_f32_velu_ukernel__avx_rr2_lut16_p3_x32
- name: xnn_f32_velu_ukernel__avx_rr2_lut16_p3_x40
- name: xnn_f32_velu_ukernel__avx_rr2_lut16_p3_x48
- name: xnn_f32_velu_ukernel__avx_rr2_p6_x8
- name: xnn_f32_velu_ukernel__avx_rr2_p6_x16
- name: xnn_f32_velu_ukernel__avx_rr2_p6_x24
- name: xnn_f32_velu_ukernel__avx_rr2_p6_x32
- name: xnn_f32_velu_ukernel__avx_rr2_p6_x40
- name: xnn_f32_velu_ukernel__avx_rr2_p6_x48
- name: xnn_f32_velu_ukernel__avx2_rr1_lut4_p4_perm_x8
- name: xnn_f32_velu_ukernel__avx2_rr1_lut4_p4_perm_x16
- name: xnn_f32_velu_ukernel__avx2_rr1_lut4_p4_perm_x24
- name: xnn_f32_velu_ukernel__avx2_rr1_lut4_p4_perm_x32
- name: xnn_f32_velu_ukernel__avx2_rr1_lut4_p4_perm_x40
- name: xnn_f32_velu_ukernel__avx2_rr1_lut4_p4_perm_x48
- name: xnn_f32_velu_ukernel__avx2_rr1_lut4_p4_perm_x56
- name: xnn_f32_velu_ukernel__avx2_rr1_lut4_p4_perm_x64
- name: xnn_f32_velu_ukernel__avx2_rr1_lut4_p4_perm_x72
- name: xnn_f32_velu_ukernel__avx2_rr1_lut4_p4_perm_x80
- name: xnn_f32_velu_ukernel__avx2_rr1_lut8_p4_perm_x8
- name: xnn_f32_velu_ukernel__avx2_rr1_lut8_p4_perm_x16
- name: xnn_f32_velu_ukernel__avx2_rr1_lut8_p4_perm_x24
- name: xnn_f32_velu_ukernel__avx2_rr1_lut8_p4_perm_x32
- name: xnn_f32_velu_ukernel__avx2_rr1_lut8_p4_perm_x40
- name: xnn_f32_velu_ukernel__avx2_rr1_lut8_p4_perm_x48
- name: xnn_f32_velu_ukernel__avx2_rr1_lut8_p4_perm_x56
- name: xnn_f32_velu_ukernel__avx2_rr1_lut8_p4_perm_x64
- name: xnn_f32_velu_ukernel__avx2_rr1_lut8_p4_perm_x72
- name: xnn_f32_velu_ukernel__avx2_rr1_lut8_p4_perm_x80
- name: xnn_f32_velu_ukernel__avx2_rr1_lut16_p3_gather_x8
- name: xnn_f32_velu_ukernel__avx2_rr1_lut16_p3_gather_x16
- name: xnn_f32_velu_ukernel__avx2_rr1_lut16_p3_gather_x24
- name: xnn_f32_velu_ukernel__avx2_rr1_lut16_p3_gather_x32
- name: xnn_f32_velu_ukernel__avx2_rr1_lut16_p3_gather_x40
- name: xnn_f32_velu_ukernel__avx2_rr1_lut16_p3_gather_x48
- name: xnn_f32_velu_ukernel__avx2_rr1_lut16_p3_gather_x56
- name: xnn_f32_velu_ukernel__avx2_rr1_lut16_p3_gather_x64
- name: xnn_f32_velu_ukernel__avx2_rr1_lut16_p3_gather_x72
- name: xnn_f32_velu_ukernel__avx2_rr1_lut16_p3_gather_x80
- name: xnn_f32_velu_ukernel__avx2_rr1_p6_x8
- name: xnn_f32_velu_ukernel__avx2_rr1_p6_x16
- name: xnn_f32_velu_ukernel__avx2_rr1_p6_x24
- name: xnn_f32_velu_ukernel__avx2_rr1_p6_x32
- name: xnn_f32_velu_ukernel__avx2_rr1_p6_x40
- name: xnn_f32_velu_ukernel__avx2_rr1_p6_x48
- name: xnn_f32_velu_ukernel__avx2_rr1_p6_x56
- name: xnn_f32_velu_ukernel__avx2_rr1_p6_x64
- name: xnn_f32_velu_ukernel__avx2_rr1_p6_x72
- name: xnn_f32_velu_ukernel__avx2_rr1_p6_x80
- name: xnn_f32_velu_ukernel__avx512f_rr1_lut16_p3_perm_x16
- name: xnn_f32_velu_ukernel__avx512f_rr1_lut16_p3_perm_x32
- name: xnn_f32_velu_ukernel__avx512f_rr1_lut16_p3_perm_x48
- name: xnn_f32_velu_ukernel__avx512f_rr1_lut16_p3_perm_x64
- name: xnn_f32_velu_ukernel__avx512f_rr1_lut16_p3_perm_x80
- name: xnn_f32_velu_ukernel__avx512f_rr1_lut16_p3_perm_x96
- name: xnn_f32_velu_ukernel__avx512f_rr1_lut16_p3_perm_x112
- name: xnn_f32_velu_ukernel__avx512f_rr1_lut16_p3_perm_x128
- name: xnn_f32_velu_ukernel__avx512f_rr1_p6_x16
- name: xnn_f32_velu_ukernel__avx512f_rr1_p6_x32
- name: xnn_f32_velu_ukernel__avx512f_rr1_p6_x48
- name: xnn_f32_velu_ukernel__avx512f_rr1_p6_x64
- name: xnn_f32_velu_ukernel__avx512f_rr1_p6_x80
- name: xnn_f32_velu_ukernel__avx512f_rr1_p6_x96
- name: xnn_f32_velu_ukernel__avx512f_rr1_p6_x112
- name: xnn_f32_velu_ukernel__avx512f_rr1_p6_x128
- name: xnn_f32_velu_ukernel__wasmsimd_arm_rr2_lut16_p3_x4
- name: xnn_f32_velu_ukernel__wasmsimd_arm_rr2_lut16_p3_x8
- name: xnn_f32_velu_ukernel__wasmsimd_arm_rr2_lut16_p3_x12
- name: xnn_f32_velu_ukernel__wasmsimd_arm_rr2_lut16_p3_x16
- name: xnn_f32_velu_ukernel__wasmsimd_arm_rr2_lut16_p3_x20
- name: xnn_f32_velu_ukernel__wasmsimd_arm_rr2_lut16_p3_x24
- name: xnn_f32_velu_ukernel__wasmsimd_x86_rr2_lut16_p3_x4
- name: xnn_f32_velu_ukernel__wasmsimd_x86_rr2_lut16_p3_x8
- name: xnn_f32_velu_ukernel__wasmsimd_x86_rr2_lut16_p3_x12
- name: xnn_f32_velu_ukernel__wasmsimd_x86_rr2_lut16_p3_x16
- name: xnn_f32_velu_ukernel__wasmsimd_x86_rr2_lut16_p3_x20
- name: xnn_f32_velu_ukernel__wasmsimd_x86_rr2_lut16_p3_x24
- name: xnn_f32_velu_ukernel__wasmsimd_arm_rr2_p6_x4
- name: xnn_f32_velu_ukernel__wasmsimd_arm_rr2_p6_x8
- name: xnn_f32_velu_ukernel__wasmsimd_arm_rr2_p6_x12
- name: xnn_f32_velu_ukernel__wasmsimd_arm_rr2_p6_x16
- name: xnn_f32_velu_ukernel__wasmsimd_arm_rr2_p6_x20
- name: xnn_f32_velu_ukernel__wasmsimd_arm_rr2_p6_x24
- name: xnn_f32_velu_ukernel__wasmsimd_x86_rr2_p6_x4
- name: xnn_f32_velu_ukernel__wasmsimd_x86_rr2_p6_x8
- name: xnn_f32_velu_ukernel__wasmsimd_x86_rr2_p6_x12
- name: xnn_f32_velu_ukernel__wasmsimd_x86_rr2_p6_x16
- name: xnn_f32_velu_ukernel__wasmsimd_x86_rr2_p6_x20
- name: xnn_f32_velu_ukernel__wasmsimd_x86_rr2_p6_x24
- name: xnn_f32_velu_ukernel__wasm_rr2_lut16_p3_x1
- name: xnn_f32_velu_ukernel__wasm_rr2_lut16_p3_x2
- name: xnn_f32_velu_ukernel__wasm_rr2_lut16_p3_x3
- name: xnn_f32_velu_ukernel__wasm_rr2_lut16_p3_x4
- name: xnn_f32_velu_ukernel__wasm_rr2_lut16_p3_x5
- name: xnn_f32_velu_ukernel__wasm_rr2_lut16_p3_x6
- name: xnn_f32_velu_ukernel__wasm_rr2_p6_x1
- name: xnn_f32_velu_ukernel__wasm_rr2_p6_x2
- name: xnn_f32_velu_ukernel__wasm_rr2_p6_x3
- name: xnn_f32_velu_ukernel__wasm_rr2_p6_x4
- name: xnn_f32_velu_ukernel__wasm_rr2_p6_x5
- name: xnn_f32_velu_ukernel__wasm_rr2_p6_x6
- name: xnn_f32_velu_ukernel__scalar_rr2_lut16_p3_x1
- name: xnn_f32_velu_ukernel__scalar_rr2_lut16_p3_x2
- name: xnn_f32_velu_ukernel__scalar_rr2_lut16_p3_x3
- name: xnn_f32_velu_ukernel__scalar_rr2_lut16_p3_x4
- name: xnn_f32_velu_ukernel__scalar_rr2_lut16_p3_x5
- name: xnn_f32_velu_ukernel__scalar_rr2_lut16_p3_x6
- name: xnn_f32_velu_ukernel__scalar_rr2_p6_x1
- name: xnn_f32_velu_ukernel__scalar_rr2_p6_x2
- name: xnn_f32_velu_ukernel__scalar_rr2_p6_x3
- name: xnn_f32_velu_ukernel__scalar_rr2_p6_x4
- name: xnn_f32_velu_ukernel__scalar_rr2_p6_x5
- name: xnn_f32_velu_ukernel__scalar_rr2_p6_x6
